public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: media-libs/mesa-amber/
@ 2022-06-12 19:19 Matt Turner
  0 siblings, 0 replies; 17+ messages in thread
From: Matt Turner @ 2022-06-12 19:19 UTC (permalink / raw
  To: gentoo-commits

commit:     c38fd08c2d28b30f41f03e93c3f507a7ff4ec490
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 12 19:18:00 2022 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sun Jun 12 19:18:22 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c38fd08c

media-libs/mesa-amber: Version bump to 21.3.9

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 media-libs/mesa-amber/Manifest                 |   1 +
 media-libs/mesa-amber/mesa-amber-21.3.9.ebuild | 206 +++++++++++++++++++++++++
 2 files changed, 207 insertions(+)

diff --git a/media-libs/mesa-amber/Manifest b/media-libs/mesa-amber/Manifest
index 729b9f6247e3..db13cde7caff 100644
--- a/media-libs/mesa-amber/Manifest
+++ b/media-libs/mesa-amber/Manifest
@@ -1 +1,2 @@
 DIST mesa-21.3.8.tar.xz 16593540 BLAKE2B 89a471af3354ae0cf0597c1b6bcd2aff8074d58c16504154291f86cd9a9701f98883cf1077f60a8f17d24be800691a5bfb7ef4ddb10dfa355181bf87805b660c SHA512 0462c44fa8e358dafd03088411452bc172a365902795b3198df1e6cfbf1d87675ef5b72b572de7f15e5ee87b30ce5b2f217c81ea72b376962f6428c6ff83f2e9
+DIST mesa-21.3.9.tar.xz 16607716 BLAKE2B 79669f9492c505b1729c526adf5a8261737b6088bdf01db654a0dca8ba22600ec985b574edfeee3a28c76e6e0f815782362973876e1d75b58f4417f45df70add SHA512 4cec6f4f50f444fcd327f7c40f8899c2f265e348e121455262b540b1f890a1468bbea59965af0876c548fa97aa0a05a1b23fa6ca7d308bd60328cfdeab757684

diff --git a/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild b/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild
new file mode 100644
index 000000000000..4d776506cd8f
--- /dev/null
+++ b/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild
@@ -0,0 +1,206 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit meson-multilib python-any-r1 linux-info
+
+MY_P="${P/-amber}"
+MY_P="${MY_P/_/-}"
+
+DESCRIPTION="OpenGL-like graphic library for Linux"
+HOMEPAGE="https://www.mesa3d.org/ https://mesa.freedesktop.org/"
+
+if [[ ${PV} == 9999 ]]; then
+	EGIT_REPO_URI="https://gitlab.freedesktop.org/mesa/mesa.git"
+	inherit git-r3
+else
+	SRC_URI="https://archive.mesa3d.org/${MY_P}.tar.xz"
+	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
+fi
+
+LICENSE="MIT"
+SLOT="amber"
+RESTRICT="!test? ( test )"
+
+RADEON_CARDS="r100 r200 radeon"
+VIDEO_CARDS="${RADEON_CARDS} i915 i965 intel nouveau"
+for card in ${VIDEO_CARDS}; do
+	IUSE_VIDEO_CARDS+=" video_cards_${card}"
+done
+
+IUSE="${IUSE_VIDEO_CARDS}
+	cpu_flags_x86_sse2 debug gles1 +gles2 selinux test valgrind wayland +X
+	+zstd"
+
+LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.107"
+RDEPEND="
+	!<=media-libs/mesa-21.3.8
+	!media-libs/mesa:amber
+	media-libs/mesa[${MULTILIB_USEDEP}]
+
+	>=dev-libs/expat-2.1.0-r3:=[${MULTILIB_USEDEP}]
+	>=media-libs/libglvnd-1.3.2[X?,${MULTILIB_USEDEP}]
+	>=sys-libs/zlib-1.2.8[${MULTILIB_USEDEP}]
+	selinux? ( sys-libs/libselinux[${MULTILIB_USEDEP}] )
+	wayland? (
+		>=dev-libs/wayland-1.18.0:=[${MULTILIB_USEDEP}]
+		>=dev-libs/wayland-protocols-1.8
+	)
+	${LIBDRM_DEPSTRING}[video_cards_nouveau?,${MULTILIB_USEDEP}]
+	video_cards_intel? (
+		!video_cards_i965? ( ${LIBDRM_DEPSTRING}[video_cards_intel] )
+	)
+	video_cards_i915? ( ${LIBDRM_DEPSTRING}[video_cards_intel] )
+	X? (
+		>=x11-libs/libX11-1.6.2:=[${MULTILIB_USEDEP}]
+		>=x11-libs/libxshmfence-1.1:=[${MULTILIB_USEDEP}]
+		>=x11-libs/libXext-1.3.2:=[${MULTILIB_USEDEP}]
+		>=x11-libs/libXxf86vm-1.1.3:=[${MULTILIB_USEDEP}]
+		>=x11-libs/libxcb-1.13:=[${MULTILIB_USEDEP}]
+		x11-libs/libXfixes:=[${MULTILIB_USEDEP}]
+	)
+	zstd? ( app-arch/zstd:=[${MULTILIB_USEDEP}] )
+"
+for card in ${RADEON_CARDS}; do
+	RDEPEND="${RDEPEND}
+		video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_radeon] )
+	"
+done
+
+DEPEND="${RDEPEND}
+	valgrind? ( dev-util/valgrind )
+	X? (
+		x11-libs/libXrandr[${MULTILIB_USEDEP}]
+		x11-base/xorg-proto
+	)
+"
+BDEPEND="
+	${PYTHON_DEPS}
+	sys-devel/bison
+	sys-devel/flex
+	virtual/pkgconfig
+	$(python_gen_any_dep ">=dev-python/mako-0.8.0[\${PYTHON_USEDEP}]")
+	wayland? ( dev-util/wayland-scanner )
+"
+
+S="${WORKDIR}/${MY_P}"
+EGIT_CHECKOUT_DIR=${S}
+
+QA_WX_LOAD="
+x86? (
+	usr/lib/libGLX_amber.so.0.0.0
+)"
+
+python_check_deps() {
+	has_version -b ">=dev-python/mako-0.8.0[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+	if use video_cards_i965; then
+		if kernel_is -ge 5 11 3; then
+			CONFIG_CHECK="~KCMP"
+		elif kernel_is -ge 5 11; then
+			CONFIG_CHECK="~CHECKPOINT_RESTORE"
+		elif kernel_is -ge 5 10 20; then
+			CONFIG_CHECK="~KCMP"
+		else
+			CONFIG_CHECK="~CHECKPOINT_RESTORE"
+		fi
+		linux-info_pkg_setup
+	fi
+
+	python-any-r1_pkg_setup
+}
+
+multilib_src_configure() {
+	local emesonargs=()
+
+	# Intel code
+	dri_driver_enable video_cards_i915 i915
+	dri_driver_enable video_cards_i965 i965
+	if ! use video_cards_i915 && \
+		! use video_cards_i965; then
+		dri_driver_enable video_cards_intel i915 i965
+	fi
+
+	# Nouveau code
+	dri_driver_enable video_cards_nouveau nouveau
+
+	# ATI code
+	dri_driver_enable video_cards_r100 r100
+	dri_driver_enable video_cards_r200 r200
+	if ! use video_cards_r100 && \
+		! use video_cards_r200; then
+		dri_driver_enable video_cards_radeon r100 r200
+	fi
+
+	local platforms
+	use X && platforms+="x11"
+	use wayland && platforms+=",wayland"
+	emesonargs+=(-Dplatforms=${platforms#,})
+
+	driver_list() {
+		local drivers="$(sort -u <<< "${1// /$'\n'}")"
+		echo "${drivers//$'\n'/,}"
+	}
+
+	emesonargs+=(
+		-Damber=true
+		$(meson_use test build-tests)
+		-Dglx=$(usex X dri disabled)
+		-Dshared-glapi=enabled
+		-Ddri3=enabled
+		-Degl=enabled
+		-Dgbm=enabled
+		$(meson_feature gles1)
+		$(meson_feature gles2)
+		-Dglvnd=true
+		-Dosmesa=false
+		-Dllvm=disabled
+		$(meson_use selinux)
+		$(meson_feature zstd)
+		$(meson_use cpu_flags_x86_sse2 sse2)
+		-Dvalgrind=$(usex valgrind auto disabled)
+		-Ddri-drivers=$(driver_list "${DRI_DRIVERS[*]}")
+		-Dgallium-drivers=''
+		-Dvulkan-drivers=''
+		--buildtype $(usex debug debug plain)
+		-Db_ndebug=$(usex debug false true)
+	)
+	meson_src_configure
+}
+
+multilib_src_test() {
+	meson_src_test -t 100
+}
+
+multilib_src_install_all() {
+	# These are provided by media-libs/mesa:0
+	local files=(
+		"${ED}"/usr/lib*/libgbm.so*
+		"${ED}"/usr/lib*/libglapi.so*
+		"${ED}"/usr/include
+		"${ED}"/usr/lib*/pkgconfig
+		"${ED}"/usr/share/drirc.d/00-mesa-defaults.conf
+	)
+	rm -r "${files[@]}" || die
+
+	# Move i915_dri.so -> i915c_dri.so to not conflict with media-libs/mesa:0.
+	for dridir in "${ED}"/usr/lib*/dri; do
+		if [[ -e ${dridir}/i915_dri.so ]]; then
+			mv ${dridir}/i915{,c}_dri.so || die
+		fi
+	done
+}
+
+# $1 - VIDEO_CARDS flag (check skipped for "--")
+# other args - names of DRI drivers to enable
+dri_driver_enable() {
+	if [[ $1 == -- ]] || use $1; then
+		shift
+		DRI_DRIVERS+=("$@")
+	fi
+}


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-libs/mesa-amber/
@ 2022-06-24 16:26 Matt Turner
  0 siblings, 0 replies; 17+ messages in thread
From: Matt Turner @ 2022-06-24 16:26 UTC (permalink / raw
  To: gentoo-commits

commit:     c5ff2b759f9d072bb1b413c6d40cc063cd6ffd86
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 24 16:16:30 2022 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri Jun 24 16:25:55 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c5ff2b75

media-libs/mesa-amber: Drop old versions

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 media-libs/mesa-amber/Manifest                 |   1 -
 media-libs/mesa-amber/mesa-amber-21.3.8.ebuild | 206 -------------------------
 2 files changed, 207 deletions(-)

diff --git a/media-libs/mesa-amber/Manifest b/media-libs/mesa-amber/Manifest
index db13cde7caff..3bedcf5babcb 100644
--- a/media-libs/mesa-amber/Manifest
+++ b/media-libs/mesa-amber/Manifest
@@ -1,2 +1 @@
-DIST mesa-21.3.8.tar.xz 16593540 BLAKE2B 89a471af3354ae0cf0597c1b6bcd2aff8074d58c16504154291f86cd9a9701f98883cf1077f60a8f17d24be800691a5bfb7ef4ddb10dfa355181bf87805b660c SHA512 0462c44fa8e358dafd03088411452bc172a365902795b3198df1e6cfbf1d87675ef5b72b572de7f15e5ee87b30ce5b2f217c81ea72b376962f6428c6ff83f2e9
 DIST mesa-21.3.9.tar.xz 16607716 BLAKE2B 79669f9492c505b1729c526adf5a8261737b6088bdf01db654a0dca8ba22600ec985b574edfeee3a28c76e6e0f815782362973876e1d75b58f4417f45df70add SHA512 4cec6f4f50f444fcd327f7c40f8899c2f265e348e121455262b540b1f890a1468bbea59965af0876c548fa97aa0a05a1b23fa6ca7d308bd60328cfdeab757684

diff --git a/media-libs/mesa-amber/mesa-amber-21.3.8.ebuild b/media-libs/mesa-amber/mesa-amber-21.3.8.ebuild
deleted file mode 100644
index 260958124591..000000000000
--- a/media-libs/mesa-amber/mesa-amber-21.3.8.ebuild
+++ /dev/null
@@ -1,206 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{8..10} )
-
-inherit meson-multilib python-any-r1 linux-info
-
-MY_P="${P/-amber}"
-MY_P="${MY_P/_/-}"
-
-DESCRIPTION="OpenGL-like graphic library for Linux"
-HOMEPAGE="https://www.mesa3d.org/ https://mesa.freedesktop.org/"
-
-if [[ ${PV} == 9999 ]]; then
-	EGIT_REPO_URI="https://gitlab.freedesktop.org/mesa/mesa.git"
-	inherit git-r3
-else
-	SRC_URI="https://archive.mesa3d.org/${MY_P}.tar.xz"
-	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
-fi
-
-LICENSE="MIT"
-SLOT="amber"
-RESTRICT="!test? ( test )"
-
-RADEON_CARDS="r100 r200 radeon"
-VIDEO_CARDS="${RADEON_CARDS} i915 i965 intel nouveau"
-for card in ${VIDEO_CARDS}; do
-	IUSE_VIDEO_CARDS+=" video_cards_${card}"
-done
-
-IUSE="${IUSE_VIDEO_CARDS}
-	cpu_flags_x86_sse2 debug gles1 +gles2 selinux test valgrind wayland +X
-	+zstd"
-
-LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.107"
-RDEPEND="
-	!<=media-libs/mesa-21.3.8
-	!media-libs/mesa:amber
-	media-libs/mesa[${MULTILIB_USEDEP}]
-
-	>=dev-libs/expat-2.1.0-r3:=[${MULTILIB_USEDEP}]
-	>=media-libs/libglvnd-1.3.2[X?,${MULTILIB_USEDEP}]
-	>=sys-libs/zlib-1.2.8[${MULTILIB_USEDEP}]
-	selinux? ( sys-libs/libselinux[${MULTILIB_USEDEP}] )
-	wayland? (
-		>=dev-libs/wayland-1.18.0:=[${MULTILIB_USEDEP}]
-		>=dev-libs/wayland-protocols-1.8
-	)
-	${LIBDRM_DEPSTRING}[video_cards_nouveau?,${MULTILIB_USEDEP}]
-	video_cards_intel? (
-		!video_cards_i965? ( ${LIBDRM_DEPSTRING}[video_cards_intel] )
-	)
-	video_cards_i915? ( ${LIBDRM_DEPSTRING}[video_cards_intel] )
-	X? (
-		>=x11-libs/libX11-1.6.2:=[${MULTILIB_USEDEP}]
-		>=x11-libs/libxshmfence-1.1:=[${MULTILIB_USEDEP}]
-		>=x11-libs/libXext-1.3.2:=[${MULTILIB_USEDEP}]
-		>=x11-libs/libXxf86vm-1.1.3:=[${MULTILIB_USEDEP}]
-		>=x11-libs/libxcb-1.13:=[${MULTILIB_USEDEP}]
-		x11-libs/libXfixes:=[${MULTILIB_USEDEP}]
-	)
-	zstd? ( app-arch/zstd:=[${MULTILIB_USEDEP}] )
-"
-for card in ${RADEON_CARDS}; do
-	RDEPEND="${RDEPEND}
-		video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_radeon] )
-	"
-done
-
-DEPEND="${RDEPEND}
-	valgrind? ( dev-util/valgrind )
-	X? (
-		x11-libs/libXrandr[${MULTILIB_USEDEP}]
-		x11-base/xorg-proto
-	)
-"
-BDEPEND="
-	${PYTHON_DEPS}
-	sys-devel/bison
-	sys-devel/flex
-	virtual/pkgconfig
-	$(python_gen_any_dep ">=dev-python/mako-0.8.0[\${PYTHON_USEDEP}]")
-	wayland? ( dev-util/wayland-scanner )
-"
-
-S="${WORKDIR}/${MY_P}"
-EGIT_CHECKOUT_DIR=${S}
-
-QA_WX_LOAD="
-x86? (
-	usr/lib/libGLX_amber.so.0.0.0
-)"
-
-python_check_deps() {
-	has_version -b ">=dev-python/mako-0.8.0[${PYTHON_USEDEP}]"
-}
-
-pkg_setup() {
-	if use video_cards_i965; then
-		if kernel_is -ge 5 11 3; then
-			CONFIG_CHECK="~KCMP"
-		elif kernel_is -ge 5 11; then
-			CONFIG_CHECK="~CHECKPOINT_RESTORE"
-		elif kernel_is -ge 5 10 20; then
-			CONFIG_CHECK="~KCMP"
-		else
-			CONFIG_CHECK="~CHECKPOINT_RESTORE"
-		fi
-		linux-info_pkg_setup
-	fi
-
-	python-any-r1_pkg_setup
-}
-
-multilib_src_configure() {
-	local emesonargs=()
-
-	# Intel code
-	dri_driver_enable video_cards_i915 i915
-	dri_driver_enable video_cards_i965 i965
-	if ! use video_cards_i915 && \
-		! use video_cards_i965; then
-		dri_driver_enable video_cards_intel i915 i965
-	fi
-
-	# Nouveau code
-	dri_driver_enable video_cards_nouveau nouveau
-
-	# ATI code
-	dri_driver_enable video_cards_r100 r100
-	dri_driver_enable video_cards_r200 r200
-	if ! use video_cards_r100 && \
-		! use video_cards_r200; then
-		dri_driver_enable video_cards_radeon r100 r200
-	fi
-
-	local platforms
-	use X && platforms+="x11"
-	use wayland && platforms+=",wayland"
-	emesonargs+=(-Dplatforms=${platforms#,})
-
-	driver_list() {
-		local drivers="$(sort -u <<< "${1// /$'\n'}")"
-		echo "${drivers//$'\n'/,}"
-	}
-
-	emesonargs+=(
-		-Damber=true
-		$(meson_use test build-tests)
-		-Dglx=$(usex X dri disabled)
-		-Dshared-glapi=enabled
-		-Ddri3=enabled
-		-Degl=enabled
-		-Dgbm=enabled
-		$(meson_feature gles1)
-		$(meson_feature gles2)
-		-Dglvnd=true
-		-Dosmesa=false
-		-Dllvm=disabled
-		$(meson_use selinux)
-		$(meson_feature zstd)
-		$(meson_use cpu_flags_x86_sse2 sse2)
-		-Dvalgrind=$(usex valgrind auto disabled)
-		-Ddri-drivers=$(driver_list "${DRI_DRIVERS[*]}")
-		-Dgallium-drivers=''
-		-Dvulkan-drivers=''
-		--buildtype $(usex debug debug plain)
-		-Db_ndebug=$(usex debug false true)
-	)
-	meson_src_configure
-}
-
-multilib_src_test() {
-	meson_src_test -t 100
-}
-
-multilib_src_install_all() {
-	# These are provided by media-libs/mesa:0
-	local files=(
-		"${ED}"/usr/lib*/libgbm.so*
-		"${ED}"/usr/lib*/libglapi.so*
-		"${ED}"/usr/include
-		"${ED}"/usr/lib*/pkgconfig
-		"${ED}"/usr/share/drirc.d/00-mesa-defaults.conf
-	)
-	rm -r "${files[@]}" || die
-
-	# Move i915_dri.so -> i915c_dri.so to not conflict with media-libs/mesa:0.
-	for dridir in "${ED}"/usr/lib*/dri; do
-		if [[ -e ${dridir}/i915_dri.so ]]; then
-			mv ${dridir}/i915{,c}_dri.so || die
-		fi
-	done
-}
-
-# $1 - VIDEO_CARDS flag (check skipped for "--")
-# other args - names of DRI drivers to enable
-dri_driver_enable() {
-	if [[ $1 == -- ]] || use $1; then
-		shift
-		DRI_DRIVERS+=("$@")
-	fi
-}


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-libs/mesa-amber/
@ 2022-07-26 15:15 Agostino Sarubbo
  0 siblings, 0 replies; 17+ messages in thread
From: Agostino Sarubbo @ 2022-07-26 15:15 UTC (permalink / raw
  To: gentoo-commits

commit:     ad9276e6028eef4ad17b3417f061059b1fa66001
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 26 15:14:04 2022 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Tue Jul 26 15:14:04 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ad9276e6

media-libs/mesa-amber: amd64 stable wrt bug #861023

Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 media-libs/mesa-amber/mesa-amber-21.3.9.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild b/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild
index 4d776506cd8f..1f0fad83df67 100644
--- a/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild
+++ b/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild
@@ -18,7 +18,7 @@ if [[ ${PV} == 9999 ]]; then
 	inherit git-r3
 else
 	SRC_URI="https://archive.mesa3d.org/${MY_P}.tar.xz"
-	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
+	KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
 fi
 
 LICENSE="MIT"


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-libs/mesa-amber/
@ 2022-08-15 14:33 Sam James
  0 siblings, 0 replies; 17+ messages in thread
From: Sam James @ 2022-08-15 14:33 UTC (permalink / raw
  To: gentoo-commits

commit:     745f16a75e23f2c45af23acf90368511cf841103
Author:     matoro <matoro <AT> users <DOT> noreply <DOT> github <DOT> com>
AuthorDate: Sat Aug  6 16:42:36 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Aug 15 14:33:04 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=745f16a7

media-libs/mesa-amber: Stabilize 21.3.9 sparc, #861023

Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-libs/mesa-amber/mesa-amber-21.3.9.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild b/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild
index c5b457417e29..921f6eb01aa1 100644
--- a/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild
+++ b/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild
@@ -18,7 +18,7 @@ if [[ ${PV} == 9999 ]]; then
 	inherit git-r3
 else
 	SRC_URI="https://archive.mesa3d.org/${MY_P}.tar.xz"
-	KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
+	KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
 fi
 
 LICENSE="MIT"


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-libs/mesa-amber/
@ 2022-08-15 18:03 Arthur Zamarin
  0 siblings, 0 replies; 17+ messages in thread
From: Arthur Zamarin @ 2022-08-15 18:03 UTC (permalink / raw
  To: gentoo-commits

commit:     720ce0e1402d591c7dd101e08fcc5dcb6385ec1a
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 15 18:03:09 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Mon Aug 15 18:03:09 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=720ce0e1

media-libs/mesa-amber: Stabilize 21.3.9 arm, #861023

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 media-libs/mesa-amber/mesa-amber-21.3.9.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild b/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild
index 921f6eb01aa1..e83298684a55 100644
--- a/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild
+++ b/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild
@@ -18,7 +18,7 @@ if [[ ${PV} == 9999 ]]; then
 	inherit git-r3
 else
 	SRC_URI="https://archive.mesa3d.org/${MY_P}.tar.xz"
-	KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
+	KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
 fi
 
 LICENSE="MIT"


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-libs/mesa-amber/
@ 2022-08-15 19:39 Arthur Zamarin
  0 siblings, 0 replies; 17+ messages in thread
From: Arthur Zamarin @ 2022-08-15 19:39 UTC (permalink / raw
  To: gentoo-commits

commit:     759d77549801050e19678b0e0d5aa626a2b31597
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 15 19:39:15 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Mon Aug 15 19:39:15 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=759d7754

media-libs/mesa-amber: Stabilize 21.3.9 ppc, #861023

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 media-libs/mesa-amber/mesa-amber-21.3.9.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild b/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild
index b25d4ec760ec..c0b56658929b 100644
--- a/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild
+++ b/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild
@@ -18,7 +18,7 @@ if [[ ${PV} == 9999 ]]; then
 	inherit git-r3
 else
 	SRC_URI="https://archive.mesa3d.org/${MY_P}.tar.xz"
-	KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ~ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
+	KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
 fi
 
 LICENSE="MIT"


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-libs/mesa-amber/
@ 2022-08-17  5:57 Arthur Zamarin
  0 siblings, 0 replies; 17+ messages in thread
From: Arthur Zamarin @ 2022-08-17  5:57 UTC (permalink / raw
  To: gentoo-commits

commit:     10cb604dff745828d7ab762f985624eb358102b5
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 17 05:56:53 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Wed Aug 17 05:56:53 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=10cb604d

media-libs/mesa-amber: Stabilize 21.3.9 hppa, #861023

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 media-libs/mesa-amber/mesa-amber-21.3.9.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild b/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild
index c0b56658929b..2274e4fdc39f 100644
--- a/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild
+++ b/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild
@@ -18,7 +18,7 @@ if [[ ${PV} == 9999 ]]; then
 	inherit git-r3
 else
 	SRC_URI="https://archive.mesa3d.org/${MY_P}.tar.xz"
-	KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
+	KEYWORDS="~alpha amd64 arm ~arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
 fi
 
 LICENSE="MIT"


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-libs/mesa-amber/
@ 2022-08-17 16:11 Arthur Zamarin
  0 siblings, 0 replies; 17+ messages in thread
From: Arthur Zamarin @ 2022-08-17 16:11 UTC (permalink / raw
  To: gentoo-commits

commit:     291ece82df8bd362b449e738cb34682b3665ca6d
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 17 16:10:48 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Wed Aug 17 16:10:48 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=291ece82

media-libs/mesa-amber: Stabilize 21.3.9 arm64, #861023

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 media-libs/mesa-amber/mesa-amber-21.3.9.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild b/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild
index 2274e4fdc39f..3dbf4ba5ae0a 100644
--- a/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild
+++ b/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild
@@ -18,7 +18,7 @@ if [[ ${PV} == 9999 ]]; then
 	inherit git-r3
 else
 	SRC_URI="https://archive.mesa3d.org/${MY_P}.tar.xz"
-	KEYWORDS="~alpha amd64 arm ~arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
+	KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
 fi
 
 LICENSE="MIT"


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-libs/mesa-amber/
@ 2022-12-21 19:48 Matt Turner
  0 siblings, 0 replies; 17+ messages in thread
From: Matt Turner @ 2022-12-21 19:48 UTC (permalink / raw
  To: gentoo-commits

commit:     865cdc5c29524bfa592d1ea9c6d697ad18c53040
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 21 19:47:54 2022 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Wed Dec 21 19:47:54 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=865cdc5c

media-libs/mesa-amber: Point homepage to Amber documentation

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 media-libs/mesa-amber/mesa-amber-21.3.9.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild b/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild
index 3dbf4ba5ae0a..8630c5d289b2 100644
--- a/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild
+++ b/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild
@@ -11,7 +11,7 @@ MY_P="${P/-amber}"
 MY_P="${MY_P/_/-}"
 
 DESCRIPTION="OpenGL-like graphic library for Linux"
-HOMEPAGE="https://www.mesa3d.org/ https://mesa.freedesktop.org/"
+HOMEPAGE="https://docs.mesa3d.org/amber.html"
 
 if [[ ${PV} == 9999 ]]; then
 	EGIT_REPO_URI="https://gitlab.freedesktop.org/mesa/mesa.git"


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-libs/mesa-amber/
@ 2023-05-12 17:39 Matt Turner
  0 siblings, 0 replies; 17+ messages in thread
From: Matt Turner @ 2023-05-12 17:39 UTC (permalink / raw
  To: gentoo-commits

commit:     62cba76c0b49778f1d6f7a09fa8550ca77ddb996
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Fri May 12 17:38:22 2023 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri May 12 17:38:22 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=62cba76c

media-libs/mesa-amber: Bump to EAPI=8

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 media-libs/mesa-amber/mesa-amber-21.3.9.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild b/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild
index 205882acd06b..6c7e27f41616 100644
--- a/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild
+++ b/media-libs/mesa-amber/mesa-amber-21.3.9.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 PYTHON_COMPAT=( python3_{9..11} )
 
@@ -95,7 +95,7 @@ x86? (
 )"
 
 python_check_deps() {
-	has_version -b ">=dev-python/mako-0.8.0[${PYTHON_USEDEP}]"
+	python_has_version ">=dev-python/mako-0.8.0[${PYTHON_USEDEP}]"
 }
 
 pkg_setup() {


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-libs/mesa-amber/
@ 2023-05-14 17:11 Sam James
  0 siblings, 0 replies; 17+ messages in thread
From: Sam James @ 2023-05-14 17:11 UTC (permalink / raw
  To: gentoo-commits

commit:     a16b48c62242d8a73e040f6d9d51df7d20047158
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun May 14 17:01:52 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun May 14 17:10:45 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a16b48c6

media-libs/mesa-amber: defer to new global USE=valgrind description

Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-libs/mesa-amber/metadata.xml | 1 -
 1 file changed, 1 deletion(-)

diff --git a/media-libs/mesa-amber/metadata.xml b/media-libs/mesa-amber/metadata.xml
index 4a8aba716794..78f51b58c849 100644
--- a/media-libs/mesa-amber/metadata.xml
+++ b/media-libs/mesa-amber/metadata.xml
@@ -8,7 +8,6 @@
   <use>
     <flag name="gles1">Enable GLESv1 support.</flag>
     <flag name="gles2">Enable GLESv2 support.</flag>
-    <flag name="valgrind">Compile in valgrind memory hints</flag>
     <flag name="wayland">Enable support for <pkg>dev-libs/wayland</pkg></flag>
   </use>
   <upstream>


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-libs/mesa-amber/
@ 2023-08-16 15:09 Matt Turner
  0 siblings, 0 replies; 17+ messages in thread
From: Matt Turner @ 2023-08-16 15:09 UTC (permalink / raw
  To: gentoo-commits

commit:     39c9ab24a4709891b0e921320fe2b4addbc7d88c
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 15 23:54:05 2023 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Wed Aug 16 15:09:13 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=39c9ab24

media-libs/mesa-amber: Drop stable hppa keywords

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild b/media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild
index 33811ec4d970..c405f31ab598 100644
--- a/media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild
+++ b/media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild
@@ -18,7 +18,7 @@ if [[ ${PV} == 9999 ]]; then
 	inherit git-r3
 else
 	SRC_URI="https://archive.mesa3d.org/${MY_P}.tar.xz"
-	KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-solaris"
+	KEYWORDS="~alpha amd64 arm arm64 ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-solaris"
 fi
 
 LICENSE="MIT"


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-libs/mesa-amber/
@ 2023-09-29  2:25 Matt Turner
  0 siblings, 0 replies; 17+ messages in thread
From: Matt Turner @ 2023-09-29  2:25 UTC (permalink / raw
  To: gentoo-commits

commit:     83075463661dd9b65c1b3d72f55f3954f3bc73a3
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 29 02:21:18 2023 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri Sep 29 02:25:41 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=83075463

media-libs/mesa-amber: Drop Python 3.9 compatibility

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild b/media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild
index a8af5beded41..3197bf826c30 100644
--- a/media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild
+++ b/media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_COMPAT=( python3_{10..11} )
 
 inherit meson-multilib python-any-r1 linux-info
 


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-libs/mesa-amber/
@ 2023-09-29  2:25 Matt Turner
  0 siblings, 0 replies; 17+ messages in thread
From: Matt Turner @ 2023-09-29  2:25 UTC (permalink / raw
  To: gentoo-commits

commit:     3c40aef6a7be6b19bd5fc664c26d1e833b0c9aae
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 29 02:08:45 2023 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri Sep 29 02:25:41 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3c40aef6

media-libs/mesa-amber: Add SGI-B-2.0 to LICENSE

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild b/media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild
index 7441142ef1fb..a8af5beded41 100644
--- a/media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild
+++ b/media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild
@@ -21,7 +21,7 @@ else
 	KEYWORDS="~alpha amd64 arm arm64 ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-solaris"
 fi
 
-LICENSE="MIT"
+LICENSE="MIT SGI-B-2.0"
 SLOT="amber"
 RESTRICT="!test? ( test )"
 


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-libs/mesa-amber/
@ 2023-09-29  2:25 Matt Turner
  0 siblings, 0 replies; 17+ messages in thread
From: Matt Turner @ 2023-09-29  2:25 UTC (permalink / raw
  To: gentoo-commits

commit:     84d874a22c6a409db7f077dfba812bdb6c4d9fc3
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 29 02:00:41 2023 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri Sep 29 02:25:40 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=84d874a2

media-libs/mesa-amber: Fix symbol check unit tests

Closes: https://bugs.gentoo.org/843983
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild b/media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild
index c405f31ab598..7441142ef1fb 100644
--- a/media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild
+++ b/media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild
@@ -119,6 +119,12 @@ pkg_setup() {
 	python-any-r1_pkg_setup
 }
 
+src_prepare() {
+	default
+	sed -i -e "/^PLATFORM_SYMBOLS/a '__gentoo_check_ldflags__'," \
+		bin/symbols-check.py || die # bug #843983
+}
+
 multilib_src_configure() {
 	local emesonargs=()
 


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-libs/mesa-amber/
@ 2024-03-01 22:07 Sam James
  0 siblings, 0 replies; 17+ messages in thread
From: Sam James @ 2024-03-01 22:07 UTC (permalink / raw
  To: gentoo-commits

commit:     ef45f85a60022f3e0376f1a75e5615ef6fcccc5d
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Mar  1 22:03:58 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Mar  1 22:03:58 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ef45f85a

media-libs/mesa-amber: --buildtype -> -Dbuildtype for meson.eclass changes

Since b95ea11330e446d0deb89ca7d78356cb2a7d0d06, we need to do -Dbuildtype,
not --buildtype.

Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild b/media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild
index 1549bb8efd60..e7232a5deb55 100644
--- a/media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild
+++ b/media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild
@@ -177,7 +177,7 @@ multilib_src_configure() {
 		-Ddri-drivers=$(driver_list "${DRI_DRIVERS[*]}")
 		-Dgallium-drivers=''
 		-Dvulkan-drivers=''
-		--buildtype $(usex debug debug plain)
+		-Dbuildtype=$(usex debug debug plain)
 		-Db_ndebug=$(usex debug false true)
 	)
 	meson_src_configure


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-libs/mesa-amber/
@ 2024-05-09 14:33 Matt Turner
  0 siblings, 0 replies; 17+ messages in thread
From: Matt Turner @ 2024-05-09 14:33 UTC (permalink / raw
  To: gentoo-commits

commit:     012e56a54c1bb1f70a204114af0ed5a185938caa
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Thu May  9 14:31:47 2024 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Thu May  9 14:33:51 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=012e56a5

media-libs/mesa-amber: Add Python 3.12 compatibility

Closes: https://bugs.gentoo.org/929648
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild b/media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild
index 732440addaf2..01c9e67786a3 100644
--- a/media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild
+++ b/media-libs/mesa-amber/mesa-amber-21.3.9-r1.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_COMPAT=( python3_{10..12} )
 
 inherit meson-multilib python-any-r1 linux-info
 


^ permalink raw reply related	[flat|nested] 17+ messages in thread

end of thread, other threads:[~2024-05-09 14:34 UTC | newest]

Thread overview: 17+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-09-29  2:25 [gentoo-commits] repo/gentoo:master commit in: media-libs/mesa-amber/ Matt Turner
  -- strict thread matches above, loose matches on Subject: below --
2024-05-09 14:33 Matt Turner
2024-03-01 22:07 Sam James
2023-09-29  2:25 Matt Turner
2023-09-29  2:25 Matt Turner
2023-08-16 15:09 Matt Turner
2023-05-14 17:11 Sam James
2023-05-12 17:39 Matt Turner
2022-12-21 19:48 Matt Turner
2022-08-17 16:11 Arthur Zamarin
2022-08-17  5:57 Arthur Zamarin
2022-08-15 19:39 Arthur Zamarin
2022-08-15 18:03 Arthur Zamarin
2022-08-15 14:33 Sam James
2022-07-26 15:15 Agostino Sarubbo
2022-06-24 16:26 Matt Turner
2022-06-12 19:19 Matt Turner

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox